Subject: bug#21078: 24.5; Wish: Customize as a general-purpose configuration facility

From: Raffaele Ricciardi <[email-masked]>
Date: Thu, 16 Jul 2015 20:18:04 +0200

Dear GNU Emacs maintainers,

the widget interface that Customize creates is tightly tied to
`Custom-mode'.  Yet, the same interface could be useful to any package
that requires users to perform some kind of complex configuration (for
example: configuring a software project before compiling).  Right now,
libraries either resort to asking questions (but this approach doesn't
scale), or require users to edit Lisp files (with the risk of making
mistakes).  Sure, there is the Widget library, but the interface that
has already been implemented for Customize offers a lot of functionality
(automatic creation of widgets according to the type of variables,
search, reverting of changes, etc.) and the ability to reuse all that
work would be no small gain.  Moreover, users would be interacting with
a familiar interface.

Thanks for your attention.

Best Regards.